Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Create live

Prev Next

Available in Classic and VPC

This API is used to create a new live stream. To view the usage flow in B2B PRISM Live Studio, see Broadcast start process.

Request

The method and URI are as follows:

POST /prism/v1/service/channel/{channelId}/live

Request headers

The following describes the headers.

Name Type Description Required
x-prism-access-token String Access token issued via OAuth 2.0 authorization Y

Request path parameters

The following describes the parameters.

Name Type Description Required
channelId String Channel ID Y

Request body

The following describes the body.

Name Type Description Required
title String
  • Live streaming title.
  • If live titles are not supported, this can be ignored.
Y
reservedAt Date
  • Live streaming scheduling time
  • Time the live stream was created (if it is not a scheduled live stream)
  • Provided in ISO 8601 format
Y
description String Live stream description Y
scope Enumeration [PUBLIC, LIMITED, PRIVATE] Live public availability
  • PUBLIC: Public (default), LIMITED: Partially public, PRIVATE: Private
  • Y

    Response

    This section describes the response format.

    Note

    For the default response format, see API response default format.

    Name Type Description Required
    channelId String Channel ID Y
    live Object Live object Y

    live dto

    The following describes the live dto.

    이름 타입 설명 필수 여부
    liveId String 라이브 ID. 방송 조회 시 사용됨 Y
    title String 라이브 제목을 지원하지 않는 서비스에서는 채널 이름을 전달해 주어야 함 Y
    description String 라이브 설명 N
    reservedAt Date
  • 라이브 예약시간
  • 예약 라이브가 아닌 경우 라이브 생성 시간
  • ISO 8601 형식으로 응답
  • Y
    startAt Date
  • 라이브 시작 시간
  • ISO 8601 형식으로 응답
  • N
    rtmpPath String
  • 송출 RTMP URL
  • rtmp:// 또는 rtmps:// 로 시작
  • Y
    status Enumeration [RESERVED, ON_AIR, END]
  • 라이브 상태
  • 상태 관리를 하지 않는 서비스의 경우, ON_AIR를 기본값으로 제공
  • Y
    scope Enumeration [PUBLIC, LIMITED, PRIVATE]
  • 라이브 공개 범위
  • PUBLIC: 공개, LIMITED: 일부 공개, PRIVATE: 비공개
  • N
    liveLink String
  • 해당 라이브를 볼 수 있는 서비스 링크
  • 없다면, 채널 홈 링크
  • Y
    liveStat Object 라이브 통계 정보 N

    liveStat dto

    The following describes the liveStat dto.

    이름 타입 설명 필수 여부
    viewCount Number 방송 시작부터 누적된 시청자 수
    viewerCount Number
  • 현재 시청자 수
  • 시청자 수 기준 1분 단위로 권장
  • likeCount Number 방송 시작부터 누적된 좋아요 수
    chatCount Number 방송 시작부터 누적된 채팅 수

    Examples

    Here are some example syntaxes.

    Request example

    The following is a sample syntax.

    curl -X POST {serviceApiDomain}/prism/v1/service/live/{liveId}
        -H "x-prism-access-token: {access-token}"
    

    Response example

    The following is a sample syntax.

    {
        "success": true,
        "errorCode": 0,
        "errorName": null,
        "message": null,
        "data": {
            "channelId": 27155,
            "live": {
                "liveId": 57082,
                "title": "This is PRISM Live.",
                "description": "This is live description.",
                "reservedAt": "2023-12-13T02:00:00+09:00",
                "startAt": null,
                "rtmpPath": "rtmp://global.rtmp.lip2.navercorp.com:8080/relay/scr14i1tgvvxl4av1a1x3i3u6dha",
                "status": "RESERVED",
                "liveLink": "https://example.com/1391275",
                "scope": "PUBLIC",
                "liveStat": {
                    "viewCount": 0,
                    "viewerCount": 0,
                    "likeCount": 0,
                    "chatCount": 0
                }
            }
        }
    }